| Classes - Annotated - Tree - Functions - Home - Structure

# QGDictIterator Class Reference

An internal class for implementing QDictIterator and QIntDictIterator. More...

`#include <qgdict.h>`

Inherited by QAsciiDictIterator, QDictIterator, QIntDictIterator and QPtrDictIterator.

List of all member functions.

## Public Members

- QGDictIterator ( const QGDict & ) (internal)
- QGDictIterator ( const QGDictIterator & ) (internal)
- QGDictIterator& operator= ( const QGDictIterator & ) (internal)
- ~QGDictIterator () (internal)
- QCollection::Item toFirst () (internal)
- QCollection::Item get () const
- QString getKeyString () const
- const char* getKeyAscii () const
- long getKeyInt () const
- void* getKeyPtr () const
- QCollection::Item operator ()() (internal)
- QCollection::Item operator++ () (internal)
- QCollection::Item operator+= ( uint ) (internal)

## Detailed Description

An internal class for implementing QDictIterator and QIntDictIterator.

QGDictIterator is a strictly internal class that does the heavy work for QDictIterator and QIntDictIterator.

## Member Function Documentation

### QCollection::Item QGDictIterator::get() const

For internal use only.

### const char * QGDictIterator::getKeyAscii () const

For internal use only.

### long QGDictIterator::getKeyInt () const

For internal use only.

### void * QGDictIterator::getKeyPtr () const

For internal use only.

### QString QGDictIterator::getKeyString () const

For internal use only.

### QGDictIterator::QGDictIterator ( const QGDict & d )

For internal use only.

### QGDictIterator::QGDictIterator ( const QGDictIterator & it )

For internal use only.

### QGDictIterator::~QGDictIterator ()

For internal use only.

### QCollection::Item QGDictIterator::operator()()

For internal use only.

### QCollection::Item QGDictIterator::operator++()

For internal use only.

### QCollection::Item QGDictIterator::operator+=( uint jumps )

For internal use only.

### QGDictIterator & QGDictIterator::operator= ( const QGDictIterator & it )

For internal use only.

### QCollection::Item QGDictIterator::toFirst()

For internal use only.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.